GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_CREATE(1)

NAME

gcloud deployment-manager deployments create - create a deployment

SYNOPSIS

gcloud deployment-manager deployments create DEPLOYMENT_NAME --config=CONFIG [--description=DESCRIPTION] [--labels=[KEY=VALUE,...]] [--preview] [--properties=[PROPERTIES,...]] [--async | --automatic-rollback-on-error] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command inserts (creates) a new deployment based on a provided config file.

POSITIONAL ARGUMENTS

    DEPLOYMENT_NAME
        Deployment name.

REQUIRED FLAGS

    --config=CONFIG
        Filename of config that specifies resources to deploy. More information is available at https://cloud.google.com/deployment-manager/docs/configuration/.

OPTIONAL FLAGS

    --description=DESCRIPTION
        Optional description of the deployment to insert.

    --labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to add.

    --preview
        Preview the requested create without actually instantiating the underlying resources. (default=False)

    --properties=[PROPERTIES,...]
        A comma separated, key:value, map to be used when deploying a template file directly.

At most one of these may be specified:

    --async
        Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)

    --automatic-rollback-on-error
        If the create request results in a deployment with resource errors, delete that deployment immediately after creation. (default=False)

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To create a new deployment, run:
    $ gcloud deployment-manager deployments create my-deployment \
        --config config.yaml --description "My deployment"
To preview a deployment without actually creating resources, run:
    $ gcloud deployment-manager deployments create my-new-deployment \
        --config config.yaml --preview
To instantiate a deployment that has been previewed, issue an update command for that deployment without specifying a config file.